#
# Conditional build:
%bcond_with	tests		# perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define	pdir	Devel
%define	pnam	FindRef
Summary:	Devel::FindRef - where is that reference to my variable hiding?
Summary(pl.UTF-8):	Devel::FindRef - znajdowanie referecji do zmiennych
Name:		perl-Devel-FindRef
Version:	1.422
Release:	3
# same as perl 5.8.8 or later perl 5
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Devel/MLEHMANN/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	2c92401767653f1ba8b98f36f23fae8d
URL:		http://search.cpan.org/dist/Devel-FindRef/
BuildRequires:	perl-devel >= 1:5.8.1
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-common-sense
%endif
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Tracking down reference problems (e.g. you expect some object to be
destroyed, but there are still references to it that keep it alive)
can be very hard. Fortunately, perl keeps track of all its values, so
tracking references "backwards" is usually possible.

The track function can help track down some of those references back
to the variables containing them.

%description -l pl.UTF-8
Śledzenie problemów z referencjami (np. kiedy oczekujemy, że obiekt
zostanie zniszczony, ale jeszcze istnieją referencje do niego, więc
jest utrzymywany) może być bardzo trudne. Na szczęście perl trzyma
ślady wszystkich ich wartości, więc zwykle można wyśledzić referencje
"wstecznie".

Funkcja track pozwala prześledzić referencje wstecz do zmiennych je
zawierających.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} pure_install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc COPYING Changes README
%{perl_vendorarch}/Devel/FindRef.pm
%dir %{perl_vendorarch}/auto/Devel/FindRef
%{perl_vendorarch}/auto/Devel/FindRef/FindRef.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Devel/FindRef/FindRef.so
%{_mandir}/man3/Devel::FindRef.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Devel-FindRef.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> a048d96
- rebuild with perl 5.18.0
- release 3 (by relup.sh)

* Mon Mar 07 2011 Jakub Bogusz <qboosh@pld-linux.org> d6a9939
- filled License (and package COPYING with license note)
- pl
- completed BRs

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 659d489
- release 2

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 5a74c47
- initial

